Package com.pixelmed.test

## Class TestCStore

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestCStore

- All Implemented Interfaces:
    `junit.framework.Test`

      public class TestCStore
      extends junit.framework.TestCase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `TestCStore.OurReceivedObjectHandler` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `associationReleased` |
    `protected java.lang.String` | `lastReceivedDicomFileName` |
    `protected static java.lang.String` | `scpAET` |
    `protected static java.lang.String` | `scuAET` |
    `protected static int` | `waitIntervalWhenSleeping` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestCStore​(java.lang.String name)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `setUp()` |
    `static junit.framework.Test` | `suite()` |
    `protected void` | `tearDown()` |
    `void` | `TestCStore_SendOneNotOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully()` |
    `void` | `TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully()` |
    `void` | `TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_MPEG()` |
    `void` | `TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_RLE()` |
    `void` | `TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_MPEG()` |
    `void` | `TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_RLE()` |

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### waitIntervalWhenSleeping

          protected static final int waitIntervalWhenSleeping

      See Also:
        Constant Field Values

    - #### scpAET

          protected static final java.lang.String scpAET

      See Also:
        Constant Field Values

    - #### scuAET

          protected static final java.lang.String scuAET

      See Also:
        Constant Field Values

    - #### lastReceivedDicomFileName

          protected volatile java.lang.String lastReceivedDicomFileName

    - #### associationReleased

          protected volatile boolean associationReleased

  - ### Constructor Detail

    - #### TestCStore

          public TestCStore​(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static junit.framework.Test suite()

    - #### setUp

          protected void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### TestCStore_SendOneNotOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully

          public void TestCStore_SendOneNotOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully()
                                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully

          public void TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully()
                                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_RLE

          public void TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_RLE()
                                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_RLE

          public void TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_RLE()
                                                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_MPEG

          public void TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_MPEG()
                                                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_MPEG

          public void TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_MPEG()
                                                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`